<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xhkjedu.sexam.mapper.paper.EPaperCorrectquestionMapper">
    <!--删除批阅人-->
    <delete id="delByEpId">
        delete from e_paper_correctquestion where epid=#{epid}
    </delete>
    <!--试卷批阅人-->
    <select id="listByEpId" resultType="java.util.Map">
        select pq.qn,pq.qorder,u.username,pq.teacherid
        from e_paper_correctquestion pq left join t_user u on pq.teacherid = u.userid
        where pq.epid=#{epid} order by pq.qorder
    </select>
    <!--获取主观题题号-->
    <select id="listQnByEpId" resultType="java.util.Map">
        select q.qn,q.qorder,q.eptqid
        from e_paper_qtype_question q where q.epid=#{epid} and q.ctype in(3,13,14,15) order by q.qorder
    </select>
</mapper>